///////////////////////////
// Sound Cloud Share 1.0 //
///////////////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}

// Set User Name
function setUserName(userNameVal,attrName)
{
	userNameVal = userNameVal.replace(/ /g,'%20');
	$('.remove-on-export').attr('username',userNameVal); // Store Size
	updateSoundCloudSnippet();
}


// Set Icon Size
function setIconSize(iconSizeVal,attrName)
{
	var iconSize = '16';

	if(iconSizeVal == 1) // 24px
	{
		iconSize = '24';
	}
	else if(iconSizeVal == 2) // 32px
	{
		iconSize = '32';
	}
	else if(iconSizeVal == 3) // 40px
	{
		iconSize = '40';
	}
	else if(iconSizeVal == 4) // 48px
	{
		iconSize = '48';
	}
	else if(iconSizeVal == 5) // 56px
	{
		iconSize = '56';
	}
	else if(iconSizeVal == 6) // 64px
	{
		iconSize = '64';
	}

	$('.remove-on-export').attr('iconsize',iconSize); // Store Size
	updateSoundCloudSnippet();
}

// Set Icon Color
function setIconColor(iconColorVal,attrName)
{
	var iconColor = 'orange_white';

	if(iconColorVal == 1) // white & orange
	{
		iconColor = 'white_orange';
	}
	else if(iconColorVal == 2) // black & white
	{
		iconColor = 'black_white';
	}
	else if(iconColorVal == 3) // white & transparent
	{
		iconColor = 'white_transparent';
	}
	else if(iconColorVal == 4) // orange transparent
	{
		iconColor = 'orange_transparent';
	}

	$('.remove-on-export').attr('iconcolor',iconColor); // Store Color
	updateSoundCloudSnippet();
}

// Update Sound Cloud Snippet
function updateSoundCloudSnippet(username,iconColor,iconSize)
{
	var username = $('.remove-on-export').attr('username');
	var iconColor = $('.remove-on-export').attr('iconcolor');
	var iconSize = $('.remove-on-export').attr('iconsize');

	var soundCloudSnippet = '<iframe class="sound-cloud-share" allowtransparency="true" scrolling="no" frameborder="no" src="https://w.soundcloud.com/icon/?url=http%3A%2F%2Fsoundcloud.com%2F'+username+'&color='+iconColor+'&size='+iconSize+'" style="width:'+iconSize+'px;height:'+iconSize+'px;"></iframe>';
	$('.sound-cloud-share').replaceWith(soundCloudSnippet); // Remove Old With New
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}